import { Ledger } from '../../common/types/objects';
export declare type FormattedLedger = {
    stateHash: string;
    closeTime: string;
    closeTimeResolution: number;
    closeFlags: number;
    ledgerHash: string;
    ledgerVersion: number;
    parentLedgerHash: string;
    parentCloseTime: string;
    totalDrops: string;
    transactionHash: string;
    transactions?: Array<object>;
    transactionHashes?: Array<string>;
    rawState?: string;
    stateHashes?: Array<string>;
};
/**
 * @param {Ledger} ledger must be a *closed* ledger with valid `close_time` and `parent_close_time`
 * @returns {FormattedLedger} formatted ledger
 * @throws RangeError: Invalid time value (rippleTimeToISO8601)
 */
export declare function parseLedger(ledger: Ledger): FormattedLedger;
